gtkmm 2.4: Gdk::Cairo Namespace Reference

Main Page Widgets Namespaces Book

# Gdk::Cairo Namespace Reference

## Functions
void | rectangle (::Cairo::RefPtr<::Cairo::Context>& context, const Gdk::Rectangle& rectangle)
| TODO.
void | region (::Cairo::RefPtr<::Cairo::Context>& context, const Gdk::Region& region)
| TODO.
void | set_source_color (::Cairo::RefPtr<::Cairo::Context>& context, const Gdk::Color& color)
| Sets the specified Gdk::Color as the source color of the Cairo context.
void | set_source_pixbuf (::Cairo::RefPtr<::Cairo::Context>& context, const Glib::RefPtr<Gdk::Pixbuf>& pixbuf, double pixbuf_x, double pixbuf_y)
| Sets the given pixbuf as the source pattern for the Cairo context.
void | set_source_pixmap (::Cairo::RefPtr<::Cairo::Context>& context, const Glib::RefPtr<Gdk::Pixmap>& pixmap, double pixmap_x, double pixmap_y)
| Sets the given pixbuf as the source pattern for the Cairo context.

## Function Documentation

void Gdk::Cairo::rectangle | ( | ::Cairo::RefPtr<::Cairo::Context>& | context,
|  | const Gdk::Rectangle& | rectangle
| ) |

| TODO. Since gtkmm 2.10:

void Gdk::Cairo::region | ( | ::Cairo::RefPtr<::Cairo::Context>& | context,
|  | const Gdk::Region& | region
| ) |

| TODO. Since gtkmm 2.10:

void Gdk::Cairo::set_source_color | ( | ::Cairo::RefPtr<::Cairo::Context>& | context,
|  | const Gdk::Color& | color
| ) |

  | Sets the specified Gdk::Color as the source color of the Cairo context. Parameters:
  | @context | The cairo context.
  | color | The color to use as the source color.
Since gtkmm 2.10:

void Gdk::Cairo::set_source_pixbuf | ( | ::Cairo::RefPtr<::Cairo::Context>& | context,
|  | const Glib::RefPtr<Gdk::Pixbuf>& | pixbuf,
|  | double | pixbuf_x,
|  | double | pixbuf_y
| ) |

  | Sets the given pixbuf as the source pattern for the Cairo context. The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixbuf_x, pixbuf_y. Parameters:
  | @context | The cairo context.
  | pixbuf | A Gdk::Pixbuf
  | pixbuf_x | X coordinate of location to place upper left corner of pixbuf.
  | pixbuf_y | Y coordinate of location to place upper left corner of pixbuf.
Since gtkmm 2.10:

void Gdk::Cairo::set_source_pixmap | ( | ::Cairo::RefPtr<::Cairo::Context>& | context,
|  | const Glib::RefPtr<Gdk::Pixmap>& | pixmap,
|  | double | pixmap_x,
|  | double | pixmap_y
| ) |

  | Sets the given pixbuf as the source pattern for the Cairo context. The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixmap_x, pixmap_y. Parameters:
  | @context | The cairo context.
  | pixmap | A Gdk::Pixmap
  | pixmap_x | X coordinate of location to place upper left corner of pixmap.
  | pixmap_y | Y coordinate of location to place upper left corner of pixmap.
Since gtkmm 2.10: